VIEWIMG_CREATE_FROM_IARRAY(3)

FUNCTION
viewimg_create_from_iarray - Create a viewable image from an Intelligent Array.

SYNOPSIS
#include <karma_viewimg.h>

ViewableImage viewimg_create_from_iarray

(KWorldCanvas canvas, iarray array, flag swap)

DESCRIPTION
This routine will create a viewable image object from a 2-dimensional Intelligent Array. At a later time, this viewable image may be made visible. This routine will not cause the canvas to be refreshed. Many viewable images may be associated with a single canvas.

canvas
    The world canvas object.

array
    The Intelligent Array. The underlying <<multi_array>> data structure will have its attachment count incremented upon successful completion.

swap
    If TRUE the y axis will be displayed horizontally.

RETURN VALUE
A viewable image on success, else NULL.

Multi-threading Level
Unsafe.

NOTES
The routine may produce cache data which will vastly increase the speed of subsequent operations on this data. Prior to process exit, a call MUST be made to <-viewimg_destroy->, otherwise shared memory segments could remain after the process exits.

The ViewableImage will be automatically destroyed if the canvas is destroyed.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/